[@bigcommerce/checkout-sdk](../README.md) / AddressRequestBody

# Interface: AddressRequestBody

## Hierarchy

- **`AddressRequestBody`**

  ↳ [`Address`](Address.md)

  ↳ [`BillingAddressRequestBody`](BillingAddressRequestBody.md)

## Table of contents

### Properties

- [address1](AddressRequestBody.md#address1)
- [address2](AddressRequestBody.md#address2)
- [city](AddressRequestBody.md#city)
- [company](AddressRequestBody.md#company)
- [countryCode](AddressRequestBody.md#countrycode)
- [customFields](AddressRequestBody.md#customfields)
- [extraFields](AddressRequestBody.md#extrafields)
- [firstName](AddressRequestBody.md#firstname)
- [lastName](AddressRequestBody.md#lastname)
- [phone](AddressRequestBody.md#phone)
- [postalCode](AddressRequestBody.md#postalcode)
- [stateOrProvince](AddressRequestBody.md#stateorprovince)
- [stateOrProvinceCode](AddressRequestBody.md#stateorprovincecode)

## Properties

### address1

• **address1**: `string`

___

### address2

• **address2**: `string`

___

### city

• **city**: `string`

___

### company

• **company**: `string`

___

### countryCode

• **countryCode**: `string`

___

### customFields

• **customFields**: \{ `fieldId`: `string` ; `fieldValue`: `string` \| `number` \| `string`[]  }[]

___

### extraFields

• `Optional` **extraFields**: [`AddressExtraFieldValue`](AddressExtraFieldValue.md)[]

___

### firstName

• **firstName**: `string`

___

### lastName

• **lastName**: `string`

___

### phone

• **phone**: `string`

___

### postalCode

• **postalCode**: `string`

___

### stateOrProvince

• **stateOrProvince**: `string`

___

### stateOrProvinceCode

• **stateOrProvinceCode**: `string`
